/* font used for EarthDay logo */
@import url('https://fonts.googleapis.com/css?family=Sarpanch:900');
@import url('https://fonts.googleapis.com/css2?family=Russo+One&display=swap');

body {
  /*background: linear-gradient(90deg, white, gray);*/
  background-color: #eee;
}

body, p {
  font-family: "Helvetica Neue", "Segoe UI", Segoe, Helvetica, Arial, "Lucida Grande", sans-serif;
  font-weight: normal;
  margin: 0;
  padding: 0;
}

.container {
  margin-left:  auto;
  margin-right:  auto;
  margin-top: 15px;
  max-width: 1170px;
  padding-right: 15px;
  padding-left: 15px;
  text-align: center;
}

.todayis {
    
  margin-left:  auto;
  margin-right:  auto;
}

.main-content {
    margin-top: 6vw;
    margin-bottom: 6vw;
    margin-left: min(35px, 20vw);
    margin-right: min(35px, 20vw);
    border-style: ridge;
    border-color: #999;
    border-width: 8px;
}

.footer {
  margin-left:  auto;
  margin-right:  auto;
  margin-top: 30px;
  max-width: 1170px;
  padding-right: 15px;
  padding-left: 15px;
  text-align: center;
  font-size: min(12px, 1.5vw);
}

.share-button {
    border:1px solid; 
    border-radius: 3px; 
    padding: 4px; 
    margin: 1px;
    color: #000;
    border-color: #000;
}
span.share-button {
    display: inline-block;
}
span.share-button:hover {
    transform: translate(0, -5px);
}

#social { 
    display: flex; 
    justify-content: center; 
    
}
.social {
    border:1px solid; 
    border-radius: 3px; 
    padding: 4px; 
    margin: 1px; 
}
a.social {
    display: inline-block;
}
a.social:hover {
    transform: translate(0, -5px);
}

.row {
    text-align: center;
  
}

.row:before, .row:after {
  display: table;
  content: " ";
}

h1 {
  font-size: 48px;
  font-weight: 300;
  margin: 0 0 20px 0;
}

.lead {
  font-size: 21px;
  font-weight: 200;
  margin-bottom: 20px;
}

p {
  margin: 0 0 10px;
}

a {
  color: #3282e6;
  text-decoration: none;
}

.mainlogo {
    font-family: 'Russo One', sans-serif;
    font-size: max(60px, 6vw);
    font-weight: 400;
    margin: 15px 0 30px 0px;
    background: -webkit-linear-gradient(-45deg, #5A1E68, #F1B958, #5A1E68, #F1B958);
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
}


/* stuff for EarthDay banner on front page */
.earthday {
    font-family: 'Sarpanch', sans-serif;
    font-size: min(40px, 4vw);
    margin: 30px 0 5px 0px;
    color: #634B25;
    transform: skew(-12deg);
    text-shadow: min(2px, .2vw) min(2px, .2vw) 0 #A0CD3D, max(-2px, -.2vw) max(-2px, -.2vw) 0 #3DC1C9;
}

.maplink {
  transform: rotate(-12deg) translate(0px, max(-40px, -3vw));
  font-size: min(18px, 1.5vw);
  grid-area: text;
  margin: 80px 5px;
  color: #634B25;
  padding: 10px;
  display: inline-block;
  cursor: pointer;
}


.earthday-logo {
    vertical-align: middle;
    cursor: pointer;
    width: min(12%, 120px);
}

/* stuff for all modals */
.cornerclose {
  color: #777;
  position: absolute;
  right: 15px;
  top: 15px;
  cursor: pointer;
}
.cornerinfo {
  color: #777;
  position: absolute;
  left: 15px;
  top: 15px;
  cursor: pointer;
}

.basicmodal {
visibility:hidden;
}
.basicmodal.active {
    visibility: visible;
    position: absolute;
    left: 50%;
    top: 0;
    margin-left: min(-25%, -240px);
    width: max(50%, 480px);
    height: max(100%,100vw);
    padding-right: 15px;
    padding-left: 15px;
    background-color: #fff;
    text-align: left;
    z-index: 12;
}
.terms {
    cursor: pointer;
}
.privacy {
    cursor: pointer;
}
.mapinfo {
    cursor: pointer;
}

/* stuff for EarthDay modal */
.popup-background {
visibility:hidden;
}
.popup-background.active{
    visibility: visible;
    position: absolute;
    width: 100%;
    height: max(100%,300vw);
    left: 0;
    top: 0;
    z-index: 10;
/*    overflow: auto;  not needed with new js */
    background-image: radial-gradient(circle, #333333, #222222);
}

.popup-content {
visibility:hidden;
}
.popup-content.active {
    padding-bottom:52.86vw;
    height:0;
    position: relative; 
    left: 0; 
    top: 0;
    margin: 2vw 1vw;
    visibility:visible;
    z-index: 11;
}

/* so map and overlay are aligned in EarthDay modal*/
.mainmap
{
    display:block;
    position:absolute;
    top: 0;
    left: 0;
    width: 100%;
}
.overlay
    {
      position: absolute;
      top: 0px;
      left: 0px;
      width: 100%;
    }

/* for animated close/back button at the bottom  */  
.outer {
  position: relative;
  margin: auto;
  width: 70px;
  font-family: Helvetica, Arial, sans-serif; 
  margin-top: 30px;
  margin-bottom: 20px;
  cursor: pointer;
}

.inner {
  width: inherit;
  text-align: center;
}

label { 
  font-size: .8em; 
  line-height: 4em;
  text-transform: uppercase;
  color: CornflowerBlue;
  transition: all .3s ease-in;
  opacity: 0;
  cursor: pointer;
}

.inner:before, .inner:after {
  position: absolute;
  content: '';
  height: 1px;
  width: inherit;
  background: #FFC107;
  left: 0;
  transition: all .3s ease-in;
}

.inner:before {
  top: 50%; 
  transform: rotate(45deg);  
}

.inner:after {  
  bottom: 50%;
  transform: rotate(-45deg);  
}

.outer:hover label {
  opacity: 1;
}

.outer:hover .inner:before,
.outer:hover .inner:after {
  transform: rotate(0);
}

.outer:hover .inner:before {
  top: 0;
}

.outer:hover .inner:after {
  bottom: 0;
}
